<style>
    .table > tbody > tr > td, .table > tfoot > tr > td, table > tbody > tr > td, table > tfoot > tr > td {
        text-align: center;
    }
</style>

{include file='modules/servers/puqMikrotikWireGuardVPN/templates/include/header.tpl'}

<h5>{$vpn->lang['Network configuration']}</h5>
<div class="row">
    <div class="col-md-12">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed;">

            <tr>
                <td style="text-align: left;"><b><i class="fa fa-passport">&nbsp;&nbsp;</i>{$vpn->lang['VPN Protocol']}:</b></td>
                <td>WireGuard</td>
            </tr>

            <tr>
                <td style="text-align: left;"><b><i class="fa fa-download"><i class="fa fa-upload"></i>&nbsp;&nbsp;</i>{$vpn->lang['Bandwidth download/upload']}:</b></td>
                <td>{$vpn->package_option_bandwidth_download}/{$vpn->package_option_bandwidth_upload}M</td>
            </tr>

            {if $vpn->package_option_link_to_manual ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_option_link_to_manual}" target="_blank">{$vpn->lang['User manual']}</a></h3></td>
                </tr>
            {/if}

            {if $vpn->package_option_link_to_vpn_clients ne ""}
                <tr>
                    <td colspan="2"><h3> <a href="{$vpn->package_option_link_to_vpn_clients}" target="_blank">{$vpn->lang['Download VPN client']}</a></h3></td>
                </tr>
            {/if}

        </table>
    </div>
</div>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="row">

                <div class="col-md-1">
                    <b>{$vpn->lang['Enable']}</b>
                    <br>
                    {if $vpn->peer_disabled ne "true"}
                        <div style="font-size: 30px; color: green;">&#10004;</div>
                    {else}
                        <div style="font-size: 30px; color: red;">&#10006;</div>
                    {/if}
                </div>

                <div class="col-md-4">
                    <b>{$vpn->lang['Endpoint']}</b>
                    <br>
                    <div>{$vpn->peer_current_endpoint_address}:{$vpn->peer_current_endpoint_port}</div>
                </div>

                <div class="col-md-3">
                    <b>{$vpn->lang['Latest handshake']}</b>
                    <br>
                    <div>{$vpn->peer_last_handshake}</div>
                </div>

                <div class="col-md-2">
                    <b>{$vpn->lang['Transfer RX']}</b>
                    <br>
                    <div>{$vpn->peer_rx}</div>
                </div>

                <div class="col-md-2">
                    <b>{$vpn->lang['Transfer TX']}</b>
                    <br>
                    <div>{$vpn->peer_tx}</div>
                </div>

            </div>
        </div>
    </div>
</div>

<h2>{$vpn->lang['Management VPN account']}</h2>
<div class="row">
    <div class="col-md-12 panel panel-default card">
        <table class="table table-list dataTable no-footer" style="table-layout: fixed; text-align: center;">

            <tr>
                <td colspan="2">
                    <h3>{$vpn->lang['WireGuard configuration']}</h3>
                </td>
            </tr>

            <tr>
                <td colspan="2">
                    <a class="btn btn-success" id="todownload">
                        <i class="fa fa-download">&nbsp;&nbsp;</i>
                        {$vpn->lang['DOWNLOAD CONFIG']}
                    </a>
                </td>
            </tr>

            <tr>
                <td colspan="2"><img style="width:100%; max-width:500px;" src="{$config_qr}"></td>
            </tr>

            <tr style="text-align: left;">
                <td colspan="2"><pre style="text-align: left;">{$config_text}</pre></td>
            </tr>

        </table>
    </div>
</div>

<script type="text/javascript">
    document.getElementById('todownload').onclick = function() {
        let text = `{$config_text|trim}`;
        let myData = 'data:application/txt;charset=utf-8,' + encodeURIComponent(text);
        this.href = myData;
        this.download = 'wg0.conf';
    }
</script>
